#include <iostream>

using namespace std;

int main()
{
	string s1, s2, s;
	char c = '*';
	char ch;
	bool ista_slova = true;
	long long int i, j;
	long long int izmene = 0;

	cin >> s1 >> s;
	s2 = s1;

	if (s == "a")
	{
		for (i = 0; i < s2.size(); i++)
		{
			if (s2[i] == 'a')
			{
				izmene++;
				s2[i] = c;
			}
		}
	}
	else if (s == "ab")
	{
		long long int na = 0, nb = 0;
		for (i = 0; i < s2.size(); i++)
		{
		
		}
	}
	else if (s == "abc")
	{

	}
	else
	{
		for (i = 1; i < s.size(); i++)
		{
			if (s[i] != s[i - 1])
			{
				ista_slova = false;
				break;
			}
		}
		if (ista_slova == true)
		{
			ch = s[0];
			long long int broj_slova = 0;
			for (i = 0; i < s2.size(); i++)
			{
				if (s2[i] == ch)
					broj_slova++;
			}

			for (i = 0; i < s2.size() && izmene <= broj_slova - s.size(); i++)
			{
				if (s2[i] == ch)
				{
					s2[i] = c;
					izmene++;
				}
			}

		}
		else
		{

		}
	}

	cout << izmene << endl << s2;

	return 0;
}